Bug 218451 - Development package to allow user plugin compilation
Summary: Development package to allow user plugin compilation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-05 13:42 UTC by Patrick Monnerat
Modified: 2010-01-15 18:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 13:59:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RPM spec file patch to generate a wireshark-devel package (3.01 KB, patch)
2006-12-05 13:42 UTC, Patrick Monnerat
no flags Details | Diff
autoconf macros for wireshark-devel (2.91 KB, text/plain)
2009-12-17 14:20 UTC, Patrick Monnerat
no flags Details
RPM spec file with -devel subpackage working (15.50 KB, text/plain)
2009-12-17 14:22 UTC, Patrick Monnerat
no flags Details

Description Patrick Monnerat 2006-12-05 13:42:13 UTC
Description of problem:

Using distro packages, there is no way to compile a wireshark user plugin
without installing the source.


A wireshark-devel package would be helpful for those cases

The attached patch modifies the 0.99.4 RPM spec file. After applying this patch,
"rpmbuild -ba wireshark.spec" will also build a wireshark-devel package that
contains include files and a pkg-config definition for wireshark.

Comment 1 Patrick Monnerat 2006-12-05 13:42:13 UTC
Created attachment 142840 [details]
RPM spec file patch to generate a wireshark-devel package

Comment 2 Radek Vokal 2006-12-05 13:59:05 UTC
This was already discussed a long time ago on fedora-devel list. I'm not going
to create -devel package while every new version of wireshark(ethereal) brings
new ABI symbols and/or removes couple of them. The library is in my opinion not
mature enough to be in separate package. 

Comment 3 Radek Vokal 2009-12-17 09:25:37 UTC
The devel package is now in rawhide. There has been quite a lot of requests, so the split is here. See  1.2.4-3.fc13

Comment 4 Patrick Monnerat 2009-12-17 11:15:19 UTC
Great ! It will really ease our private protocol dissector handling.

Many thanks.

Comment 5 Radek Vokal 2009-12-17 11:48:30 UTC
Thank you for you spec proposal. Please test the package, if it works for you. I've also moved idl2wrs to -devel and lua support.

Comment 6 Patrick Monnerat 2009-12-17 13:15:29 UTC
I'm afraid this is not OK. Product evolution within the last 3 years required some additional include files for the devel package and gmodule-2.0 requirement in the pkgconfig file.

I've adapted your spec file to the current situation and I'm compiling wireshark with it (quite long on my rawhide virtual machine!). I'll test it in a few minutes and will post it here.

As a bonus gift, I've included an autoconf macro file... will post it here too.

Radek, if you need a source rpm for an external non-standard dissector for your tests, I have one. I can send it to you by e-mail. Just ask here.

Comment 7 Patrick Monnerat 2009-12-17 14:20:09 UTC
Created attachment 379001 [details]
autoconf macros for wireshark-devel

Comment 8 Patrick Monnerat 2009-12-17 14:22:41 UTC
Created attachment 379003 [details]
RPM spec file with -devel subpackage working

This is my last version of the spec file. It fixes the -devel subpackage and introduces the autoconf macros.

Comment 9 Fedora Update System 2009-12-18 14:23:14 UTC
wireshark-1.2.5-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wireshark-1.2.5-2.fc12

Comment 10 Radek Vokal 2009-12-18 14:51:25 UTC
Thanks, I was too fast with the update. Rebuild for rawhide will be done soon.

Comment 11 Radek Vokal 2009-12-21 15:06:17 UTC
Added to https://admin.fedoraproject.org/updates/wireshark-1.2.5-3.fc12


Note You need to log in before you can comment on or make changes to this bug.